import SwiftUI

struct IgaSwiatekView: View {
    var body: some View {
        ZStack {
            Color.purple.edgesIgnoringSafeArea(.all)
            VStack(alignment: .leading, spacing: 20) {
                Text("Iga Swiatek")
                    .font(.largeTitle)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                
                HStack {
                    Image(systemName: "flag.fill")
                        .foregroundColor(.white)
                    Text("POLAND")
                        .foregroundColor(.white)
                }
                
                HStack {
                    VStack(alignment: .leading, spacing: 10) {
                        Text("Height")
                            .fontWeight(.semibold)
                        Text("5' 9\"")
                    }
                    Spacer()
                    VStack(alignment: .leading, spacing: 10) {
                        Text("Age")
                            .fontWeight(.semibold)
                        Text("22")
                    }
                }
                .foregroundColor(.white)
                
                HStack {
                    VStack(alignment: .leading, spacing: 10) {
                        Text("Plays")
                            .fontWeight(.semibold)
                        Text("Right-Handed")
                    }
                    Spacer()
                    VStack(alignment: .leading, spacing: 10) {
                        Text("Birthplace")
                            .fontWeight(.semibold)
                        Text("Warsaw, Poland")
                    }
                }
                .foregroundColor(.white)
            }
            .padding()
        }
    }
}

struct IgaSwiatekView_Previews: PreviewProvider {
    static var previews: some View {
        IgaSwiatekView()
    }
}
